<?php
defined('_JEXEC') or die('Restricted access');

class CrossfitModelClasses extends JModelList {
	
	public function __construct($config = array()) {
		if (empty($config['filter_fields']))
		{
			$config['filter_fields'] = array(
				'idClass',
				'nome',
				'posti',
				'published'
			);
		}

		parent::__construct($config);
	}
		
	protected function getListQuery() {
		$db    = JFactory::getDbo();
		$query = $db->getQuery(true);

		$query->select('*')->from($db->quoteName('#__crossfit_classes'));

		$search = $this->getState('filter.search');

		if (!empty($search)) {
			$like = $db->quote('%' . $search . '%');
			$query->where('nome LIKE '.$like);
		}

		$published = $this->getState('filter.published');

		if (is_numeric($published)) {
			$query->where('published = ' . (int) $published);
		} elseif ($published == '') {
			$query->where('(published IN (0, 1))');
		}
			
		if(JRequest::getVar('id')) {
			$query->where('idClass = '.(int) JRequest::getVar('id'));
		}

		$orderCol		= $this->state->get('list.ordering', 'nome');
		$orderDirn 	= $this->state->get('list.direction', 'asc');

		$query->order($db->escape($orderCol) . ' ' . $db->escape($orderDirn));

		return $query;
	}
	
}