CREATE OR REPLACE VIEW `#__crossfit_v_scadenze_iscrizioni` AS
SELECT  
    idUser, 
    (SELECT dataInizio FROM `#__crossfit_memberships` WHERE idUser = u.idUser ORDER BY dataInizio DESC LIMIT 0,1) as dataInizio, 
    (SELECT DATE_ADD(dataInizio, INTERVAL durata YEAR) as dataScadenza FROM `#__crossfit_memberships` WHERE idUser = u.idUser ORDER BY dataInizio DESC LIMIT 0,1) as dataScadenza, 
    (SELECT pagato FROM `#__crossfit_memberships` WHERE idUser = u.idUser ORDER BY dataInizio DESC LIMIT 0,1) as pagato
FROM    `#__crossfit_users` u
    INNER JOIN `#__users` JU ON u.idUserJoomla = JU.id
WHERE   u.published = 1 AND JU.block = 0;

CREATE OR REPLACE VIEW `#__crossfit_v_scadenze_abbonamenti` AS
SELECT U.idUser, SU.idSubscription, SU.dataInizio, DATE_ADD( DATE_ADD( DATE_ADD( dataInizio, INTERVAL mesi MONTH ), INTERVAL giorniAggiuntivi DAY), INTERVAL giorniSospensione DAY) dataScadenzaAbbonamento, sospeso
FROM `#__crossfit_subscriptions_users` SU
    INNER JOIN `#__crossfit_subscriptions` S ON S.idSubscription = SU.idSubscription
    INNER JOIN `#__crossfit_users` U ON U.idUser = SU.idUser
    INNER JOIN `#__users` JU ON U.idUserJoomla = JU.id
WHERE U.published = 1 AND JU.block = 0 AND S.adIngressiTotali = 0 AND SU.dataScadenzaReale = '0000-00-00'
UNION
SELECT U.idUser, SU.idSubscription, SU.dataInizio, DATE_ADD( dataInizio, INTERVAL mesi MONTH ), sospeso
FROM `#__crossfit_subscriptions_users` SU
    INNER JOIN `#__crossfit_subscriptions` S ON S.idSubscription = SU.idSubscription
    INNER JOIN `#__crossfit_users` U ON U.idUser = SU.idUser
    INNER JOIN `#__users` JU ON U.idUserJoomla = JU.id
WHERE U.published = 1 AND JU.block = 0 AND S.adIngressiTotali = 1 AND SU.dataScadenzaReale = '0000-00-00'
UNION
SELECT U.idUser, SU.idSubscription, SU.dataInizio, dataScadenzaReale, sospeso
FROM `#__crossfit_subscriptions_users` SU
    INNER JOIN `#__crossfit_subscriptions` S ON S.idSubscription = SU.idSubscription
    INNER JOIN `#__crossfit_users` U ON U.idUser = SU.idUser
    INNER JOIN `#__users` JU ON U.idUserJoomla = JU.id
WHERE U.published = 1 AND JU.block = 0 AND S.adIngressiTotali = 0 AND SU.dataScadenzaReale != '0000-00-00'
UNION
SELECT U.idUser, SU.idSubscription, SU.dataInizio, dataScadenzaReale, sospeso
FROM `#__crossfit_subscriptions_users` SU
    INNER JOIN `#__crossfit_subscriptions` S ON S.idSubscription = SU.idSubscription
    INNER JOIN `#__crossfit_users` U ON U.idUser = SU.idUser
    INNER JOIN `#__users` JU ON U.idUserJoomla = JU.id
WHERE U.published = 1 AND JU.block = 0 AND S.adIngressiTotali = 1 AND SU.dataScadenzaReale != '0000-00-00';